## ros-jazzy-mola-demos 1.2.0

=== CMakeLists.txt ===
# ------------------------------------------------------------------------------
#        A Modular Optimization framework for Localization and mApping
#                               (MOLA)
#
# Copyright (C) 2018-2024, Jose Luis Blanco-Claraco, contributors (AUTHORS.md)
# All rights reserved.
# Released under GNU GPL v3. See LICENSE file
# ------------------------------------------------------------------------------

# Minimum CMake vesion: limited by CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS
cmake_minimum_required(VERSION 3.5)

if("$ENV{ROS_VERSION}" STREQUAL "2")
  set(DETECTED_ROS2 TRUE)
endif()

# Tell CMake we'll use C++ for use in its tests/flags
project(mola_demos LANGUAGES CXX)

# MOLA CMake scripts: "mola_xxx()"
#find_package(mola_common REQUIRED)

# Instrumental lib:
add_library(${PROJECT_NAME} INTERFACE)

# Install files:
install(DIRECTORY
  mola-cli-launchs
  ros2-launchs
  ros2-params
  rviz2
  DESTINATION
    share/${PROJECT_NAME}
)


# -----------------------------------------------------------------------------
#  ROS2
# -----------------------------------------------------------------------------
if(DETECTED_ROS2)
  # find dependencies
  find_package(ament_cmake REQUIRED)

  #ament_target_dependencies(MY_TARGET
  #  rclcpp...
  #)

  ament_package()
endif()

## ros-jazzy-mola-demos 1.0.5

=== debian/changelog ===
ros-jazzy-mola-demos (1.0.5-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 May 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.4-1bookworm) bookworm; urgency=high

  * bump cmake_minimum_required to 3.5
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 13 May 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.3-1bookworm) bookworm; urgency=high

  * ROS2 demo yaml files: fix missing entry and unify notation with mola_lidar_odometry
  * FIXBUG: inverse sensor poses in rosbag2 reader.
    Also: unify notation in C++ calls to lookupTransform()
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Apr 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.2-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 03 Apr 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.1-1bookworm) bookworm; urgency=high

  * Clean up yaml files.
  * PF localization demo for Mulran dataset
  * renamed ros launch files for clear autocompletion with ros2 launch
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-mola-demos (1.0.0-1bookworm) bookworm; urgency=high

  * Add use_fixed_sensor_pose flag
  * Publish ground truth to ROS2 too
  * ROS 2 launch demos
  * mola-cli now does not need the -c cli flag
  * More generic demo launch
  * reorganize as monorepo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 18 Mar 2024 23:00:00 -0000

ros-jazzy-mola-demos (0.2.2-1bookworm) bookworm; urgency=high

  * Progress with demo
  * Import first demo files
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000

ros-jazzy-mola-demos (0.2.1-1bookworm) bookworm; urgency=high

  * Initial commit
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000

=== debian/control ===
Source: ros-jazzy-mola-demos
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest, ros-jazzy-ament-cmake-xmllint, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-ros-environment, ros-jazzy-ros-workspace
Homepage: https://github.com/MOLAorg/
Standards-Version: 3.9.2

Package: ros-jazzy-mola-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ros-workspace
Description: Demo and example launch files for MOLA

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/jazzy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/jazzy/setup.sh" ]; then . "/opt/ros/jazzy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/jazzy" \
		-DAMENT_PREFIX_PATH="/opt/ros/jazzy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/jazzy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/jazzy/setup.sh" ]; then . "/opt/ros/jazzy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/jazzy/setup.sh" ]; then . "/opt/ros/jazzy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/jazzy/setup.sh" ]; then . "/opt/ros/jazzy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-jazzy-mola-demos//opt/ros/jazzy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/jazzy/setup.sh" ]; then . "/opt/ros/jazzy/setup.sh"; fi && \
	dh_auto_install

## ros-jazzy-mola-demos 1.2.0

=== debian/changelog ===
ros-jazzy-mola-demos (1.2.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 15 Sep 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.1.3-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 Aug 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.1.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 25 Aug 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.1.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 22 Aug 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.1.0-1noble) noble; urgency=high

  * Merge pull request #62 <https://github.com/MOLAorg/mola/issues/62> from MOLAorg/docs-fixes
    Docs fixes
  * Fix ament_xmllint warnings in package.xml
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 17 Aug 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.8-1noble) noble; urgency=high

  * ament_lint_cmake: clean warnings
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 28 Jul 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.7-1noble) noble; urgency=high

  * Fix GNSS typo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 23 Jul 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.6-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Jun 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.5-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 May 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.4-1noble) noble; urgency=high

  * bump cmake_minimum_required to 3.5
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 13 May 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.3-1noble) noble; urgency=high

  * ROS2 demo yaml files: fix missing entry and unify notation with mola_lidar_odometry
  * FIXBUG: inverse sensor poses in rosbag2 reader.
    Also: unify notation in C++ calls to lookupTransform()
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Apr 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 03 Apr 2024 22:00:00 -0000

ros-jazzy-mola-demos (1.0.1-1noble) noble; urgency=high

  * Clean up yaml files.
  * PF localization demo for Mulran dataset
  * renamed ros launch files for clear autocompletion with ros2 launch
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-mola-demos (1.0.0-1noble) noble; urgency=high

  * Add use_fixed_sensor_pose flag
  * Publish ground truth to ROS2 too
  * ROS 2 launch demos
  * mola-cli now does not need the -c cli flag
  * More generic demo launch
  * reorganize as monorepo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 18 Mar 2024 23:00:00 -0000

ros-jazzy-mola-demos (0.2.2-1noble) noble; urgency=high

  * Progress with demo
  * Import first demo files
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000

ros-jazzy-mola-demos (0.2.1-1noble) noble; urgency=high

  * Initial commit
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000

## ros-jazzy-mola-demos 1.2.1

=== debian/changelog ===
ros-jazzy-mola-demos (1.2.1-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Sep 2024 16:00:00 -0000

ros-jazzy-mola-demos (1.2.0-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 15 Sep 2024 16:00:00 -0000

ros-jazzy-mola-demos (1.1.3-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 Aug 2024 16:00:00 -0000

ros-jazzy-mola-demos (1.1.2-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 25 Aug 2024 16:00:00 -0000

ros-jazzy-mola-demos (1.1.1-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 22 Aug 2024 16:00:00 -0000

ros-jazzy-mola-demos (1.1.0-1bookworm) bookworm; urgency=high

  * Merge pull request #62 <https://github.com/MOLAorg/mola/issues/62> from MOLAorg/docs-fixes
    Docs fixes
  * Fix ament_xmllint warnings in package.xml
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 17 Aug 2024 16:00:00 -0000

ros-jazzy-mola-demos (1.0.8-1bookworm) bookworm; urgency=high

  * ament_lint_cmake: clean warnings
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 28 Jul 2024 16:00:00 -0000

ros-jazzy-mola-demos (1.0.7-1bookworm) bookworm; urgency=high

  * Fix GNSS typo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-jazzy-mola-demos (1.0.6-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Jun 2024 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/jazzy/setup.sh" ]; then . "/opt/ros/jazzy/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-jazzy-mola-demos//opt/ros/jazzy/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-jazzy-mola-demos//opt/ros/jazzy/lib/:$(CURDIR)/debian/ros-jazzy-mola-demos//opt/ros/jazzy/opt/mola_demos/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
